
_I2C_LCD_Cmd:
	MOV I2C_LCD_Cmd_rs_L0+0, #0
	MOV A, FARG_I2C_LCD_Cmd_out_char+0
	ANL A, #240
	MOV I2C_LCD_Cmd_hi_n_L0+0, A
	MOV R0, #4
	MOV A, FARG_I2C_LCD_Cmd_out_char+0
	INC R0
	SJMP L__I2C_LCD_Cmd13
L__I2C_LCD_Cmd14:
	CLR C
	RLC A
L__I2C_LCD_Cmd13:
	DJNZ R0, L__I2C_LCD_Cmd14
	MOV I2C_LCD_Cmd_lo_n_L0+0, A
	MOV R0, #240
	MOV A, R0
	ANL I2C_LCD_Cmd_lo_n_L0+0, A
	LCALL _Soft_I2C_Start+0
	MOV FARG_Soft_I2C_Write_data_+0, #78
	LCALL _Soft_I2C_Write+0
	MOV A, I2C_LCD_Cmd_hi_n_L0+0
	ORL A, I2C_LCD_Cmd_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Cmd_hi_n_L0+0
	ORL A, I2C_LCD_Cmd_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 45
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Cmd_lo_n_L0+0
	ORL A, I2C_LCD_Cmd_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Cmd_lo_n_L0+0
	ORL A, I2C_LCD_Cmd_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	LCALL _Soft_I2C_Stop+0
	MOV A, FARG_I2C_LCD_Cmd_out_char+0
	XRL A, #1
	JNZ L_I2C_LCD_Cmd0
	MOV R6, 4
	MOV R7, 148
	DJNZ R7, 
	DJNZ R6, 
	NOP
L_I2C_LCD_Cmd0:
	RET
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:
	MOV I2C_LCD_Chr_rs_L0+0, #1
	SJMP L_I2C_LCD_Chr1
L_I2C_LCD_Chr3:
	CLR C
	MOV A, FARG_I2C_LCD_Chr_column+0
	SUBB A, #1
	MOV R0, A
	MOV A, #128
	ADD A, R0
	MOV FARG_I2C_LCD_Cmd_out_char+0, A
	LCALL _I2C_LCD_Cmd+0
	SJMP L_I2C_LCD_Chr2
L_I2C_LCD_Chr4:
	CLR C
	MOV A, FARG_I2C_LCD_Chr_column+0
	SUBB A, #1
	MOV R0, A
	MOV A, #192
	ADD A, R0
	MOV FARG_I2C_LCD_Cmd_out_char+0, A
	LCALL _I2C_LCD_Cmd+0
	SJMP L_I2C_LCD_Chr2
L_I2C_LCD_Chr5:
	CLR C
	MOV A, FARG_I2C_LCD_Chr_column+0
	SUBB A, #1
	MOV R0, A
	MOV A, #148
	ADD A, R0
	MOV FARG_I2C_LCD_Cmd_out_char+0, A
	LCALL _I2C_LCD_Cmd+0
	SJMP L_I2C_LCD_Chr2
L_I2C_LCD_Chr6:
	CLR C
	MOV A, FARG_I2C_LCD_Chr_column+0
	SUBB A, #1
	MOV R0, A
	MOV A, #212
	ADD A, R0
	MOV FARG_I2C_LCD_Cmd_out_char+0, A
	LCALL _I2C_LCD_Cmd+0
	SJMP L_I2C_LCD_Chr2
L_I2C_LCD_Chr1:
	MOV A, FARG_I2C_LCD_Chr_row+0
	XRL A, #1
	JZ L_I2C_LCD_Chr3
	MOV A, FARG_I2C_LCD_Chr_row+0
	XRL A, #2
	JZ L_I2C_LCD_Chr4
	MOV A, FARG_I2C_LCD_Chr_row+0
	XRL A, #3
	JZ L_I2C_LCD_Chr5
	MOV A, FARG_I2C_LCD_Chr_row+0
	XRL A, #4
	JZ L_I2C_LCD_Chr6
L_I2C_LCD_Chr2:
	MOV A, FARG_I2C_LCD_Chr_out_char+0
	ANL A, #240
	MOV I2C_LCD_Chr_hi_n_L0+0, A
	MOV R0, #4
	MOV A, FARG_I2C_LCD_Chr_out_char+0
	INC R0
	SJMP L__I2C_LCD_Chr15
L__I2C_LCD_Chr16:
	CLR C
	RLC A
L__I2C_LCD_Chr15:
	DJNZ R0, L__I2C_LCD_Chr16
	MOV I2C_LCD_Chr_lo_n_L0+0, A
	MOV R0, #240
	MOV A, R0
	ANL I2C_LCD_Chr_lo_n_L0+0, A
	LCALL _Soft_I2C_Start+0
	MOV FARG_Soft_I2C_Write_data_+0, #78
	LCALL _Soft_I2C_Write+0
	MOV A, I2C_LCD_Chr_hi_n_L0+0
	ORL A, I2C_LCD_Chr_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_hi_n_L0+0
	ORL A, I2C_LCD_Chr_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 45
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_lo_n_L0+0
	ORL A, I2C_LCD_Chr_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_lo_n_L0+0
	ORL A, I2C_LCD_Chr_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	LCALL _Soft_I2C_Stop+0
	RET
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:
	MOV I2C_LCD_Chr_Cp_rs_L0+0, #1
	MOV A, FARG_I2C_LCD_Chr_Cp_out_char+0
	ANL A, #240
	MOV I2C_LCD_Chr_Cp_hi_n_L0+0, A
	MOV R0, #4
	MOV A, FARG_I2C_LCD_Chr_Cp_out_char+0
	INC R0
	SJMP L__I2C_LCD_Chr_Cp17
L__I2C_LCD_Chr_Cp18:
	CLR C
	RLC A
L__I2C_LCD_Chr_Cp17:
	DJNZ R0, L__I2C_LCD_Chr_Cp18
	MOV I2C_LCD_Chr_Cp_lo_n_L0+0, A
	MOV R0, #240
	MOV A, R0
	ANL I2C_LCD_Chr_Cp_lo_n_L0+0, A
	LCALL _Soft_I2C_Start+0
	MOV FARG_Soft_I2C_Write_data_+0, #78
	LCALL _Soft_I2C_Write+0
	MOV A, I2C_LCD_Chr_Cp_hi_n_L0+0
	ORL A, I2C_LCD_Chr_Cp_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_Cp_hi_n_L0+0
	ORL A, I2C_LCD_Chr_Cp_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 45
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_Cp_lo_n_L0+0
	ORL A, I2C_LCD_Chr_Cp_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, I2C_LCD_Chr_Cp_lo_n_L0+0
	ORL A, I2C_LCD_Chr_Cp_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	LCALL _Soft_I2C_Stop+0
	RET
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:
	MOV I2C_LCD_Init_rs_L0+0, #0
	MOV R5, 2
	MOV R6, 13
	MOV R7, 239
	DJNZ R7, 
	DJNZ R6, 
	DJNZ R5, 
	NOP
	LCALL _Soft_I2C_Start+0
	MOV FARG_Soft_I2C_Write_data_+0, #78
	LCALL _Soft_I2C_Write+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R6, 54
	MOV R7, 201
	DJNZ R7, 
	DJNZ R6, 
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, #48
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R6, 36
	MOV R7, 219
	DJNZ R7, 
	DJNZ R6, 
	MOV A, #32
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #4
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	MOV R7, 22
	DJNZ R7, 
	NOP
	MOV A, #32
	ORL A, I2C_LCD_Init_rs_L0+0
	MOV FARG_Soft_I2C_Write_data_+0, A
	ORL FARG_Soft_I2C_Write_data_+0, #8
	LCALL _Soft_I2C_Write+0
	LCALL _Soft_I2C_Stop+0
	MOV R6, 18
	MOV R7, 237
	DJNZ R7, 
	DJNZ R6, 
	MOV FARG_I2C_LCD_Cmd_out_char+0, #40
	LCALL _I2C_LCD_Cmd+0
	MOV FARG_I2C_LCD_Cmd_out_char+0, #6
	LCALL _I2C_LCD_Cmd+0
	RET
; end of _I2C_LCD_Init

_I2C_LCD_Out:
L_I2C_LCD_Out7:
	MOV R0, FARG_I2C_LCD_Out_text+0
	MOV A, @R0
	JZ L_I2C_LCD_Out8
	MOV FARG_I2C_LCD_Chr_row+0, FARG_I2C_LCD_Out_row+0
	MOV FARG_I2C_LCD_Chr_column+0, FARG_I2C_LCD_Out_column+0
	MOV R0, FARG_I2C_LCD_Out_text+0
	MOV FARG_I2C_LCD_Chr_out_char+0, @R0
	LCALL _I2C_LCD_Chr+0
	INC FARG_I2C_LCD_Out_column+0
	INC FARG_I2C_LCD_Out_text+0
	SJMP L_I2C_LCD_Out7
L_I2C_LCD_Out8:
	RET
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:
L_I2C_LCD_Out_Cp9:
	MOV R0, FARG_I2C_LCD_Out_Cp_text+0
	MOV A, @R0
	JZ L_I2C_LCD_Out_Cp10
	MOV R0, FARG_I2C_LCD_Out_Cp_text+0
	MOV FARG_I2C_LCD_Chr_Cp_out_char+0, @R0
	LCALL _I2C_LCD_Chr_Cp+0
	INC FARG_I2C_LCD_Out_Cp_text+0
	SJMP L_I2C_LCD_Out_Cp9
L_I2C_LCD_Out_Cp10:
	RET
; end of _I2C_LCD_Out_Cp

_main:
	MOV SP+0, #128
	MOV P1+0, #0
	LCALL _Soft_I2C_Init+0
	LCALL _I2C_LCD_Init+0
	MOV FARG_I2C_LCD_Cmd_out_char+0, #12
	LCALL _I2C_LCD_Cmd+0
	MOV FARG_I2C_LCD_Cmd_out_char+0, #1
	LCALL _I2C_LCD_Cmd+0
	MOV FARG_I2C_LCD_Out_row+0, #1
	MOV FARG_I2C_LCD_Out_column+0, #1
	MOV FARG_I2C_LCD_Out_text+0, #_txt1+0
	LCALL _I2C_LCD_Out+0
	MOV FARG_I2C_LCD_Out_row+0, #2
	MOV FARG_I2C_LCD_Out_column+0, #1
	MOV FARG_I2C_LCD_Out_text+0, #_txt2+0
	LCALL _I2C_LCD_Out+0
	MOV FARG_I2C_LCD_Out_row+0, #3
	MOV FARG_I2C_LCD_Out_column+0, #1
	MOV FARG_I2C_LCD_Out_text+0, #_txt3+0
	LCALL _I2C_LCD_Out+0
	MOV FARG_I2C_LCD_Out_row+0, #4
	MOV FARG_I2C_LCD_Out_column+0, #1
	MOV FARG_I2C_LCD_Out_text+0, #_txt4+0
	LCALL _I2C_LCD_Out+0
L_main11:
	SJMP L_main11
	SJMP #254
; end of _main
