_I2C_LCD_Cmd:
;I2C LCD.c,27 :: 		void I2C_LCD_Cmd(char out_char) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,30 :: 		char rs = 0x00;
; rs start address is: 16 (R4)
MOVZ	R4, R0, R0
;I2C LCD.c,32 :: 		hi_n = out_char & 0xF0;
ANDI	R2, R25, 240
; hi_n start address is: 20 (R5)
ANDI	R5, R2, 255
;I2C LCD.c,33 :: 		lo_n = (out_char << 4) & 0xF0;
ANDI	R2, R25, 255
SLL	R2, R2, 4
ANDI	R2, R2, 240
; lo_n start address is: 24 (R6)
ANDI	R6, R2, 255
;I2C LCD.c,35 :: 		I2C1_Start();
JAL	_I2C1_Start+0
NOP	
;I2C LCD.c,36 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,37 :: 		I2C1_Write(LCD_ADDR);
SB	R25, 4(SP)
ORI	R25, R0, 78
JAL	_I2C1_Write+0
NOP	
LBU	R25, 4(SP)
;I2C LCD.c,38 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,39 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
OR	R2, R5, R4
ORI	R2, R2, 4
ORI	R2, R2, 8
SB	R25, 4(SP)
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
LBU	R25, 4(SP)
;I2C LCD.c,40 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,41 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Cmd0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Cmd0
NOP	
;I2C LCD.c,42 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
OR	R2, R5, R4
; hi_n end address is: 20 (R5)
ORI	R2, R2, 8
SB	R25, 4(SP)
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
LBU	R25, 4(SP)
;I2C LCD.c,43 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,44 :: 		Delay_us(100);
LUI	R24, 0
ORI	R24, R24, 332
L_I2C_LCD_Cmd2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Cmd2
NOP	
NOP	
NOP	
;I2C LCD.c,45 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
OR	R2, R6, R4
ORI	R2, R2, 4
ORI	R2, R2, 8
SB	R25, 4(SP)
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
LBU	R25, 4(SP)
;I2C LCD.c,46 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,47 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Cmd4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Cmd4
NOP	
;I2C LCD.c,48 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
OR	R2, R6, R4
; rs end address is: 16 (R4)
; lo_n end address is: 24 (R6)
ORI	R2, R2, 8
SB	R25, 4(SP)
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
LBU	R25, 4(SP)
;I2C LCD.c,49 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,50 :: 		I2C1_stop();
JAL	_I2C1_Stop+0
NOP	
;I2C LCD.c,52 :: 		if(out_char == 0x01)Delay_ms(2);
ANDI	R3, R25, 255
ORI	R2, R0, 1
BEQ	R3, R2, L__I2C_LCD_Cmd52
NOP	
J	L_I2C_LCD_Cmd6
NOP	
L__I2C_LCD_Cmd52:
LUI	R24, 0
ORI	R24, R24, 6666
L_I2C_LCD_Cmd7:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Cmd7
NOP	
L_I2C_LCD_Cmd6:
;I2C LCD.c,53 :: 		}
L_end_I2C_LCD_Cmd:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Cmd
_I2C_LCD_Chr:
;I2C LCD.c,55 :: 		void I2C_LCD_Chr(char row, char column, char out_char) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,58 :: 		char rs = 0x01;
SW	R25, 4(SP)
; rs start address is: 28 (R7)
ORI	R7, R0, 1
;I2C LCD.c,60 :: 		switch(row){
J	L_I2C_LCD_Chr9
NOP	
;I2C LCD.c,62 :: 		case 1:
L_I2C_LCD_Chr11:
;I2C LCD.c,63 :: 		I2C_LCD_Cmd(0x80 + (column - 1));
ADDIU	R2, R26, -1
ADDIU	R2, R2, 128
ANDI	R25, R2, 255
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,64 :: 		break;
J	L_I2C_LCD_Chr10
NOP	
;I2C LCD.c,65 :: 		case 2:
L_I2C_LCD_Chr12:
;I2C LCD.c,66 :: 		I2C_LCD_Cmd(0xC0 + (column - 1));
ADDIU	R2, R26, -1
ADDIU	R2, R2, 192
ANDI	R25, R2, 255
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,67 :: 		break;
J	L_I2C_LCD_Chr10
NOP	
;I2C LCD.c,68 :: 		case 3:
L_I2C_LCD_Chr13:
;I2C LCD.c,69 :: 		I2C_LCD_Cmd(0x94 + (column - 1));
ADDIU	R2, R26, -1
ADDIU	R2, R2, 148
ANDI	R25, R2, 255
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,70 :: 		break;
J	L_I2C_LCD_Chr10
NOP	
;I2C LCD.c,71 :: 		case 4:
L_I2C_LCD_Chr14:
;I2C LCD.c,72 :: 		I2C_LCD_Cmd(0xD4 + (column - 1));
ADDIU	R2, R26, -1
ADDIU	R2, R2, 212
ANDI	R25, R2, 255
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,73 :: 		break;
J	L_I2C_LCD_Chr10
NOP	
;I2C LCD.c,74 :: 		};
L_I2C_LCD_Chr9:
ANDI	R3, R25, 255
ORI	R2, R0, 1
BNE	R3, R2, L__I2C_LCD_Chr55
NOP	
J	L_I2C_LCD_Chr11
NOP	
L__I2C_LCD_Chr55:
ANDI	R3, R25, 255
ORI	R2, R0, 2
BNE	R3, R2, L__I2C_LCD_Chr57
NOP	
J	L_I2C_LCD_Chr12
NOP	
L__I2C_LCD_Chr57:
ANDI	R3, R25, 255
ORI	R2, R0, 3
BNE	R3, R2, L__I2C_LCD_Chr59
NOP	
J	L_I2C_LCD_Chr13
NOP	
L__I2C_LCD_Chr59:
ANDI	R3, R25, 255
ORI	R2, R0, 4
BNE	R3, R2, L__I2C_LCD_Chr61
NOP	
J	L_I2C_LCD_Chr14
NOP	
L__I2C_LCD_Chr61:
L_I2C_LCD_Chr10:
;I2C LCD.c,76 :: 		hi_n = out_char & 0xF0;
ANDI	R2, R27, 240
; hi_n start address is: 16 (R4)
ANDI	R4, R2, 255
;I2C LCD.c,77 :: 		lo_n = (out_char << 4) & 0xF0;
ANDI	R2, R27, 255
SLL	R2, R2, 4
ANDI	R2, R2, 240
; lo_n start address is: 20 (R5)
ANDI	R5, R2, 255
;I2C LCD.c,79 :: 		I2C1_Start();
JAL	_I2C1_Start+0
NOP	
;I2C LCD.c,80 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,81 :: 		I2C1_Write(LCD_ADDR);
ORI	R25, R0, 78
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,82 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,83 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
OR	R2, R4, R7
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,84 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,85 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Chr15:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr15
NOP	
;I2C LCD.c,86 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
OR	R2, R4, R7
; hi_n end address is: 16 (R4)
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,87 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,88 :: 		Delay_us(100);
LUI	R24, 0
ORI	R24, R24, 332
L_I2C_LCD_Chr17:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr17
NOP	
NOP	
NOP	
;I2C LCD.c,89 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
OR	R2, R5, R7
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,90 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,91 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Chr19:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr19
NOP	
;I2C LCD.c,92 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
OR	R2, R5, R7
; rs end address is: 28 (R7)
; lo_n end address is: 20 (R5)
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,93 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,94 :: 		I2C1_stop();
JAL	_I2C1_Stop+0
NOP	
;I2C LCD.c,95 :: 		}
L_end_I2C_LCD_Chr:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Chr
_I2C_LCD_Chr_Cp:
;I2C LCD.c,97 :: 		void I2C_LCD_Chr_Cp(char out_char) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,100 :: 		char rs = 0x01;
SW	R25, 4(SP)
; rs start address is: 16 (R4)
ORI	R4, R0, 1
;I2C LCD.c,102 :: 		hi_n = out_char & 0xF0;
ANDI	R2, R25, 240
; hi_n start address is: 20 (R5)
ANDI	R5, R2, 255
;I2C LCD.c,103 :: 		lo_n = (out_char << 4) & 0xF0;
ANDI	R2, R25, 255
SLL	R2, R2, 4
ANDI	R2, R2, 240
; lo_n start address is: 24 (R6)
ANDI	R6, R2, 255
;I2C LCD.c,105 :: 		I2C1_Start();
JAL	_I2C1_Start+0
NOP	
;I2C LCD.c,106 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,107 :: 		I2C1_Write(LCD_ADDR);
ORI	R25, R0, 78
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,108 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,109 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
OR	R2, R5, R4
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,110 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,111 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Chr_Cp21:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr_Cp21
NOP	
;I2C LCD.c,112 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
OR	R2, R5, R4
; hi_n end address is: 20 (R5)
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,113 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,114 :: 		Delay_us(100);
LUI	R24, 0
ORI	R24, R24, 332
L_I2C_LCD_Chr_Cp23:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr_Cp23
NOP	
NOP	
NOP	
;I2C LCD.c,115 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
OR	R2, R6, R4
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,116 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,117 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Chr_Cp25:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Chr_Cp25
NOP	
;I2C LCD.c,118 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
OR	R2, R6, R4
; rs end address is: 16 (R4)
; lo_n end address is: 24 (R6)
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,119 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,120 :: 		I2C1_stop();
JAL	_I2C1_Stop+0
NOP	
;I2C LCD.c,121 :: 		}
L_end_I2C_LCD_Chr_Cp:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Chr_Cp
_I2C_LCD_Init:
;I2C LCD.c,124 :: 		void I2C_LCD_Init() {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,126 :: 		char rs = 0x00;
SW	R25, 4(SP)
; rs start address is: 16 (R4)
MOVZ	R4, R0, R0
;I2C LCD.c,128 :: 		I2C1_Start();
JAL	_I2C1_Start+0
NOP	
;I2C LCD.c,129 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,130 :: 		I2C1_Write(LCD_ADDR);
ORI	R25, R0, 78
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,131 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,133 :: 		Delay_ms(30);
LUI	R24, 1
ORI	R24, R24, 34463
L_I2C_LCD_Init27:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init27
NOP	
NOP	
;I2C LCD.c,135 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,136 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,137 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Init29:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init29
NOP	
;I2C LCD.c,138 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,139 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,141 :: 		Delay_ms(10);
LUI	R24, 0
ORI	R24, R24, 33332
L_I2C_LCD_Init31:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init31
NOP	
NOP	
NOP	
;I2C LCD.c,143 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,144 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,145 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Init33:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init33
NOP	
;I2C LCD.c,146 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,147 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,149 :: 		Delay_ms(10);
LUI	R24, 0
ORI	R24, R24, 33332
L_I2C_LCD_Init35:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init35
NOP	
NOP	
NOP	
;I2C LCD.c,151 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,152 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,153 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Init37:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init37
NOP	
;I2C LCD.c,154 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
ORI	R2, R4, 48
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,155 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,157 :: 		Delay_ms(10);
LUI	R24, 0
ORI	R24, R24, 33332
L_I2C_LCD_Init39:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init39
NOP	
NOP	
NOP	
;I2C LCD.c,159 :: 		I2C1_Write(0x20 | rs | 0x04 | 0x08);
ORI	R2, R4, 32
ORI	R2, R2, 4
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,160 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,161 :: 		Delay_us(50);
LUI	R24, 0
ORI	R24, R24, 166
L_I2C_LCD_Init41:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init41
NOP	
;I2C LCD.c,162 :: 		I2C1_Write(0x20 | rs | 0x00 | 0x08);
ORI	R2, R4, 32
; rs end address is: 16 (R4)
ORI	R2, R2, 8
ANDI	R25, R2, 255
JAL	_I2C1_Write+0
NOP	
;I2C LCD.c,163 :: 		I2C1_Is_Idle();
JAL	_I2C1_Is_Idle+0
NOP	
;I2C LCD.c,164 :: 		I2C1_Stop();
JAL	_I2C1_Stop+0
NOP	
;I2C LCD.c,166 :: 		Delay_ms(10);
LUI	R24, 0
ORI	R24, R24, 33332
L_I2C_LCD_Init43:
ADDIU	R24, R24, -1
BNE	R24, R0, L_I2C_LCD_Init43
NOP	
NOP	
NOP	
;I2C LCD.c,168 :: 		I2C_LCD_Cmd(0x28);
ORI	R25, R0, 40
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,169 :: 		I2C_LCD_Cmd(0x06);
ORI	R25, R0, 6
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,170 :: 		}
L_end_I2C_LCD_Init:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Init
_I2C_LCD_Out:
;I2C LCD.c,172 :: 		void I2C_LCD_Out(char row, char col, char *text) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,173 :: 		while(*text)
L_I2C_LCD_Out45:
LBU	R2, 0(R27)
BNE	R2, R0, L__I2C_LCD_Out66
NOP	
J	L_I2C_LCD_Out46
NOP	
L__I2C_LCD_Out66:
;I2C LCD.c,174 :: 		I2C_LCD_Chr(row, col++, *text++);
SW	R27, 4(SP)
LBU	R27, 0(R27)
JAL	_I2C_LCD_Chr+0
NOP	
LW	R27, 4(SP)
ADDIU	R2, R26, 1
ANDI	R26, R2, 255
ADDIU	R2, R27, 1
MOVZ	R27, R2, R0
J	L_I2C_LCD_Out45
NOP	
L_I2C_LCD_Out46:
;I2C LCD.c,175 :: 		}
L_end_I2C_LCD_Out:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Out
_I2C_LCD_Out_Cp:
;I2C LCD.c,177 :: 		void I2C_LCD_Out_Cp(char *text) {
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;I2C LCD.c,178 :: 		while(*text)
L_I2C_LCD_Out_Cp47:
LBU	R2, 0(R25)
BNE	R2, R0, L__I2C_LCD_Out_Cp69
NOP	
J	L_I2C_LCD_Out_Cp48
NOP	
L__I2C_LCD_Out_Cp69:
;I2C LCD.c,179 :: 		I2C_LCD_Chr_Cp(*text++);
SW	R25, 4(SP)
LBU	R25, 0(R25)
JAL	_I2C_LCD_Chr_Cp+0
NOP	
LW	R25, 4(SP)
ADDIU	R2, R25, 1
MOVZ	R25, R2, R0
J	L_I2C_LCD_Out_Cp47
NOP	
L_I2C_LCD_Out_Cp48:
;I2C LCD.c,180 :: 		}
L_end_I2C_LCD_Out_Cp:
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _I2C_LCD_Out_Cp
_main:
;I2C LCD.c,182 :: 		void main() {
;I2C LCD.c,184 :: 		AD1PCFG = 0xFFFF;
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;I2C LCD.c,186 :: 		TRISA = 0x00;
SW	R0, Offset(TRISA+0)(GP)
;I2C LCD.c,187 :: 		PORTA = 0x00;
SW	R0, Offset(PORTA+0)(GP)
;I2C LCD.c,188 :: 		LATA = 0x00;
SW	R0, Offset(LATA+0)(GP)
;I2C LCD.c,190 :: 		I2C1_Init(100000);
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C1_Init+0
NOP	
;I2C LCD.c,192 :: 		I2C_LCD_Init();
JAL	_I2C_LCD_Init+0
NOP	
;I2C LCD.c,193 :: 		I2C_LCD_Cmd(_LCD_CURSOR_OFF);
ORI	R25, R0, 12
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,194 :: 		I2C_LCD_Cmd(_LCD_CLEAR);
ORI	R25, R0, 1
JAL	_I2C_LCD_Cmd+0
NOP	
;I2C LCD.c,195 :: 		I2C_Lcd_Out(1,1,txt1);                 // Write text in first row
LUI	R27, #hi_addr(_txt1+0)
ORI	R27, R27, #lo_addr(_txt1+0)
ORI	R26, R0, 1
ORI	R25, R0, 1
JAL	_I2C_LCD_Out+0
NOP	
;I2C LCD.c,196 :: 		I2C_Lcd_Out(2,1,txt2);                 // Write text in second row
LUI	R27, #hi_addr(_txt2+0)
ORI	R27, R27, #lo_addr(_txt2+0)
ORI	R26, R0, 1
ORI	R25, R0, 2
JAL	_I2C_LCD_Out+0
NOP	
;I2C LCD.c,197 :: 		I2C_Lcd_Out(3,1,txt3);                 // Write text in third row
LUI	R27, #hi_addr(_txt3+0)
ORI	R27, R27, #lo_addr(_txt3+0)
ORI	R26, R0, 1
ORI	R25, R0, 3
JAL	_I2C_LCD_Out+0
NOP	
;I2C LCD.c,198 :: 		I2C_Lcd_Out(4,1,txt4);                 // Write text in fourth row
LUI	R27, #hi_addr(_txt4+0)
ORI	R27, R27, #lo_addr(_txt4+0)
ORI	R26, R0, 1
ORI	R25, R0, 4
JAL	_I2C_LCD_Out+0
NOP	
;I2C LCD.c,200 :: 		while(1) {
L_main49:
;I2C LCD.c,202 :: 		}
J	L_main49
NOP	
;I2C LCD.c,203 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
