
_I2C_LCD_Cmd:

;TWI LCD.mpas,36 :: 		begin
;TWI LCD.mpas,37 :: 		rs := 0;
; rs start address is: 17 (R17)
	LDI        R17, 0
;TWI LCD.mpas,39 :: 		hi_n := out_char and 0xF0;
	MOV        R16, R2
	ANDI       R16, 240
; hi_n start address is: 18 (R18)
	MOV        R18, R16
;TWI LCD.mpas,40 :: 		lo_n := (out_char shl 4) and 0xF0;
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	ANDI       R16, 240
; lo_n start address is: 19 (R19)
	MOV        R19, R16
;TWI LCD.mpas,42 :: 		TWI_Start();
	PUSH       R17
	CALL       _TWI_Start+0
	POP        R17
;TWI LCD.mpas,43 :: 		TWI_Write(LCD_ADDR);
	PUSH       R2
	LDI        R27, 78
	MOV        R2, R27
	CALL       _TWI_Write+0
;TWI LCD.mpas,44 :: 		TWI_Write(hi_n or rs or 0x04 or 0x08);
	MOV        R16, R18
	OR         R16, R17
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,45 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Cmd1:
	DEC        R16
	BRNE       L__I2C_LCD_Cmd1
	NOP
	NOP
;TWI LCD.mpas,46 :: 		TWI_Write(hi_n or rs or 0x00 or 0x08);
	MOV        R16, R18
	OR         R16, R17
; hi_n end address is: 18 (R18)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,47 :: 		Delay_us(100);
	LDI        R16, 133
L__I2C_LCD_Cmd3:
	DEC        R16
	BRNE       L__I2C_LCD_Cmd3
	NOP
;TWI LCD.mpas,48 :: 		TWI_Write(lo_n or rs or 0x04 or 0x08);
	MOV        R16, R19
	OR         R16, R17
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,49 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Cmd5:
	DEC        R16
	BRNE       L__I2C_LCD_Cmd5
	NOP
	NOP
;TWI LCD.mpas,50 :: 		TWI_Write(lo_n or rs or 0x00 or 0x08);
	MOV        R16, R19
	OR         R16, R17
; rs end address is: 17 (R17)
; lo_n end address is: 19 (R19)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
	POP        R2
;TWI LCD.mpas,51 :: 		TWI_stop();
	CALL       _TWI_Stop+0
;TWI LCD.mpas,53 :: 		if(out_char = 0x01) then
	LDI        R27, 1
	CP         R2, R27
	BREQ       L__I2C_LCD_Cmd79
	JMP        L__I2C_LCD_Cmd8
L__I2C_LCD_Cmd79:
;TWI LCD.mpas,55 :: 		Delay_ms(2);
	LDI        R17, 11
	LDI        R16, 99
L__I2C_LCD_Cmd10:
	DEC        R16
	BRNE       L__I2C_LCD_Cmd10
	DEC        R17
	BRNE       L__I2C_LCD_Cmd10
;TWI LCD.mpas,56 :: 		end;
L__I2C_LCD_Cmd8:
;TWI LCD.mpas,57 :: 		end;
L_end_I2C_LCD_Cmd:
	RET
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;TWI LCD.mpas,62 :: 		begin
;TWI LCD.mpas,63 :: 		rs := 1;
	PUSH       R2
	LDI        R27, 1
	STD        Y+0, R27
;TWI LCD.mpas,64 :: 		column := column - 1;
	MOV        R16, R3
	SUBI       R16, 1
	MOV        R3, R16
;TWI LCD.mpas,67 :: 		1:I2C_LCD_Cmd(0x80 + column);
	LDI        R27, 1
	CP         R2, R27
	BREQ       L__I2C_LCD_Chr81
	JMP        L__I2C_LCD_Chr16
L__I2C_LCD_Chr81:
	MOV        R16, R3
	SUBI       R16, 128
	MOV        R2, R16
	CALL       _I2C_LCD_Cmd+0
	JMP        L__I2C_LCD_Chr13
L__I2C_LCD_Chr16:
;TWI LCD.mpas,68 :: 		2:I2C_LCD_Cmd(0xC0 + column);
	LDI        R27, 2
	CP         R2, R27
	BREQ       L__I2C_LCD_Chr82
	JMP        L__I2C_LCD_Chr19
L__I2C_LCD_Chr82:
	MOV        R16, R3
	SUBI       R16, 64
	MOV        R2, R16
	CALL       _I2C_LCD_Cmd+0
	JMP        L__I2C_LCD_Chr13
L__I2C_LCD_Chr19:
;TWI LCD.mpas,69 :: 		3:I2C_LCD_Cmd(0x94 + column);
	LDI        R27, 3
	CP         R2, R27
	BREQ       L__I2C_LCD_Chr83
	JMP        L__I2C_LCD_Chr22
L__I2C_LCD_Chr83:
	MOV        R16, R3
	SUBI       R16, 108
	MOV        R2, R16
	CALL       _I2C_LCD_Cmd+0
	JMP        L__I2C_LCD_Chr13
L__I2C_LCD_Chr22:
;TWI LCD.mpas,70 :: 		4:I2C_LCD_Cmd(0xD4 + column);
	LDI        R27, 4
	CP         R2, R27
	BREQ       L__I2C_LCD_Chr84
	JMP        L__I2C_LCD_Chr25
L__I2C_LCD_Chr84:
	MOV        R16, R3
	SUBI       R16, 44
	MOV        R2, R16
	CALL       _I2C_LCD_Cmd+0
	JMP        L__I2C_LCD_Chr13
L__I2C_LCD_Chr25:
L__I2C_LCD_Chr13:
;TWI LCD.mpas,74 :: 		hi_n := out_char and 0xF0;
	MOV        R16, R4
	ANDI       R16, 240
; hi_n start address is: 17 (R17)
	MOV        R17, R16
;TWI LCD.mpas,75 :: 		lo_n := (out_char shl 4) and 0xF0;
	MOV        R16, R4
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	ANDI       R16, 240
; lo_n start address is: 18 (R18)
	MOV        R18, R16
;TWI LCD.mpas,77 :: 		TWI_Start();
	PUSH       R17
	CALL       _TWI_Start+0
	POP        R17
;TWI LCD.mpas,78 :: 		TWI_Write(LCD_ADDR);
	LDI        R27, 78
	MOV        R2, R27
	CALL       _TWI_Write+0
;TWI LCD.mpas,79 :: 		TWI_Write(hi_n or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	OR         R16, R17
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,80 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Chr26:
	DEC        R16
	BRNE       L__I2C_LCD_Chr26
	NOP
	NOP
;TWI LCD.mpas,81 :: 		TWI_Write(hi_n or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	OR         R16, R17
; hi_n end address is: 17 (R17)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,82 :: 		Delay_us(100);
	LDI        R16, 133
L__I2C_LCD_Chr28:
	DEC        R16
	BRNE       L__I2C_LCD_Chr28
	NOP
;TWI LCD.mpas,83 :: 		TWI_Write(lo_n or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	OR         R16, R18
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,84 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Chr30:
	DEC        R16
	BRNE       L__I2C_LCD_Chr30
	NOP
	NOP
;TWI LCD.mpas,85 :: 		TWI_Write(lo_n or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	OR         R16, R18
; lo_n end address is: 18 (R18)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,86 :: 		TWI_stop();
	CALL       _TWI_Stop+0
;TWI LCD.mpas,87 :: 		end;
L_end_I2C_LCD_Chr:
	POP        R2
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:

;TWI LCD.mpas,92 :: 		begin
;TWI LCD.mpas,93 :: 		rs := 0x01;
	PUSH       R2
; rs start address is: 17 (R17)
	LDI        R17, 1
;TWI LCD.mpas,95 :: 		hi_n := out_char and 0xF0;
	MOV        R16, R2
	ANDI       R16, 240
; hi_n start address is: 18 (R18)
	MOV        R18, R16
;TWI LCD.mpas,96 :: 		lo_n := (out_char shl 4) and 0xF0;
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	ANDI       R16, 240
; lo_n start address is: 19 (R19)
	MOV        R19, R16
;TWI LCD.mpas,98 :: 		TWI_Start();
	PUSH       R17
	CALL       _TWI_Start+0
	POP        R17
;TWI LCD.mpas,99 :: 		TWI_Write(LCD_ADDR);
	LDI        R27, 78
	MOV        R2, R27
	CALL       _TWI_Write+0
;TWI LCD.mpas,100 :: 		TWI_Write(hi_n or rs or 0x04 or 0x08);
	MOV        R16, R18
	OR         R16, R17
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,101 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Chr_Cp33:
	DEC        R16
	BRNE       L__I2C_LCD_Chr_Cp33
	NOP
	NOP
;TWI LCD.mpas,102 :: 		TWI_Write(hi_n or rs or 0x00 or 0x08);
	MOV        R16, R18
	OR         R16, R17
; hi_n end address is: 18 (R18)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,103 :: 		Delay_us(100);
	LDI        R16, 133
L__I2C_LCD_Chr_Cp35:
	DEC        R16
	BRNE       L__I2C_LCD_Chr_Cp35
	NOP
;TWI LCD.mpas,104 :: 		TWI_Write(lo_n or rs or 0x04 or 0x08);
	MOV        R16, R19
	OR         R16, R17
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,105 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Chr_Cp37:
	DEC        R16
	BRNE       L__I2C_LCD_Chr_Cp37
	NOP
	NOP
;TWI LCD.mpas,106 :: 		TWI_Write(lo_n or rs or 0x00 or 0x08);
	MOV        R16, R19
	OR         R16, R17
; rs end address is: 17 (R17)
; lo_n end address is: 19 (R19)
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,107 :: 		TWI_stop();
	CALL       _TWI_Stop+0
;TWI LCD.mpas,108 :: 		end;
L_end_I2C_LCD_Chr_Cp:
	POP        R2
	RET
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;TWI LCD.mpas,112 :: 		begin
;TWI LCD.mpas,113 :: 		Delay_ms(150);
	PUSH       R2
	LDI        R18, 4
	LDI        R17, 12
	LDI        R16, 52
L__I2C_LCD_Init40:
	DEC        R16
	BRNE       L__I2C_LCD_Init40
	DEC        R17
	BRNE       L__I2C_LCD_Init40
	DEC        R18
	BRNE       L__I2C_LCD_Init40
	NOP
	NOP
;TWI LCD.mpas,115 :: 		TWI_Start();
	CALL       _TWI_Start+0
;TWI LCD.mpas,116 :: 		TWI_Write(LCD_ADDR);
	LDI        R27, 78
	MOV        R2, R27
	CALL       _TWI_Write+0
;TWI LCD.mpas,118 :: 		TWI_Write(0x30 or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,119 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Init42:
	DEC        R16
	BRNE       L__I2C_LCD_Init42
	NOP
	NOP
;TWI LCD.mpas,120 :: 		TWI_Write(0x30 or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,121 :: 		Delay_ms(30);
	LDI        R17, 156
	LDI        R16, 215
L__I2C_LCD_Init44:
	DEC        R16
	BRNE       L__I2C_LCD_Init44
	DEC        R17
	BRNE       L__I2C_LCD_Init44
	NOP
	NOP
;TWI LCD.mpas,123 :: 		TWI_Write(0x30 or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,124 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Init46:
	DEC        R16
	BRNE       L__I2C_LCD_Init46
	NOP
	NOP
;TWI LCD.mpas,125 :: 		TWI_Write(0x30 or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,126 :: 		Delay_ms(30);
	LDI        R17, 156
	LDI        R16, 215
L__I2C_LCD_Init48:
	DEC        R16
	BRNE       L__I2C_LCD_Init48
	DEC        R17
	BRNE       L__I2C_LCD_Init48
	NOP
	NOP
;TWI LCD.mpas,128 :: 		TWI_Write(0x30 or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,129 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Init50:
	DEC        R16
	BRNE       L__I2C_LCD_Init50
	NOP
	NOP
;TWI LCD.mpas,130 :: 		TWI_Write(0x30 or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 48
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,131 :: 		Delay_ms(30);
	LDI        R17, 156
	LDI        R16, 215
L__I2C_LCD_Init52:
	DEC        R16
	BRNE       L__I2C_LCD_Init52
	DEC        R17
	BRNE       L__I2C_LCD_Init52
	NOP
	NOP
;TWI LCD.mpas,133 :: 		TWI_Write(0x20 or rs or 0x04 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 32
	ORI        R16, 4
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,134 :: 		Delay_us(50);
	LDI        R16, 66
L__I2C_LCD_Init54:
	DEC        R16
	BRNE       L__I2C_LCD_Init54
	NOP
	NOP
;TWI LCD.mpas,135 :: 		TWI_Write(0x20 or rs or 0x00 or 0x08);
	LDD        R16, Y+0
	ORI        R16, 32
	ORI        R16, 8
	MOV        R2, R16
	CALL       _TWI_Write+0
;TWI LCD.mpas,136 :: 		TWI_Stop();
	CALL       _TWI_Stop+0
;TWI LCD.mpas,138 :: 		Delay_ms(20);
	LDI        R17, 104
	LDI        R16, 229
L__I2C_LCD_Init56:
	DEC        R16
	BRNE       L__I2C_LCD_Init56
	DEC        R17
	BRNE       L__I2C_LCD_Init56
;TWI LCD.mpas,140 :: 		I2C_LCD_Cmd(0x28);
	LDI        R27, 40
	MOV        R2, R27
	CALL       _I2C_LCD_Cmd+0
;TWI LCD.mpas,141 :: 		I2C_LCD_Cmd(0x06);
	LDI        R27, 6
	MOV        R2, R27
	CALL       _I2C_LCD_Cmd+0
;TWI LCD.mpas,142 :: 		end;
L_end_I2C_LCD_Init:
	POP        R2
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _I2C_LCD_Init

_I2C_LCD_Out:

;TWI LCD.mpas,146 :: 		begin
;TWI LCD.mpas,147 :: 		i := 0;
; i start address is: 17 (R17)
	LDI        R17, 0
; i end address is: 17 (R17)
;TWI LCD.mpas,148 :: 		while(txt[i]) do
L__I2C_LCD_Out60:
; i start address is: 17 (R17)
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z
	TST        R16
	BRNE       L__I2C_LCD_Out88
	JMP        L__I2C_LCD_Out61
L__I2C_LCD_Out88:
;TWI LCD.mpas,150 :: 		I2C_LCD_Chr(row,column,txt[i]);
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z
	PUSH       R17
	PUSH       R5
	PUSH       R4
	PUSH       R3
	MOV        R4, R16
	CALL       _I2C_LCD_Chr+0
	POP        R3
	POP        R4
	POP        R5
	POP        R17
;TWI LCD.mpas,151 :: 		i := i + 1;
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
;TWI LCD.mpas,152 :: 		column := column + 1;
	MOV        R16, R3
	SUBI       R16, 255
	MOV        R3, R16
;TWI LCD.mpas,153 :: 		end;
; i end address is: 17 (R17)
	JMP        L__I2C_LCD_Out60
L__I2C_LCD_Out61:
;TWI LCD.mpas,154 :: 		end;
L_end_I2C_LCD_Out:
	RET
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:

;TWI LCD.mpas,158 :: 		begin
;TWI LCD.mpas,159 :: 		i := 0;
; i start address is: 17 (R17)
	LDI        R17, 0
; i end address is: 17 (R17)
;TWI LCD.mpas,160 :: 		while(txt[i]) do
L__I2C_LCD_Out_Cp66:
; i start address is: 17 (R17)
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z
	TST        R16
	BRNE       L__I2C_LCD_Out_Cp90
	JMP        L__I2C_LCD_Out_Cp67
L__I2C_LCD_Out_Cp90:
;TWI LCD.mpas,162 :: 		I2C_LCD_Chr_Cp(txt[i]);
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z
	PUSH       R17
	PUSH       R3
	PUSH       R2
	MOV        R2, R16
	CALL       _I2C_LCD_Chr_Cp+0
	POP        R2
	POP        R3
	POP        R17
;TWI LCD.mpas,163 :: 		i := i + 1;
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
;TWI LCD.mpas,164 :: 		end;
; i end address is: 17 (R17)
	JMP        L__I2C_LCD_Out_Cp66
L__I2C_LCD_Out_Cp67:
;TWI LCD.mpas,165 :: 		end;
L_end_I2C_LCD_Out_Cp:
	RET
; end of _I2C_LCD_Out_Cp

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;TWI LCD.mpas,167 :: 		begin
;TWI LCD.mpas,170 :: 		DDRC := 0xFF;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	LDI        R27, 255
	OUT        DDRC+0, R27
;TWI LCD.mpas,172 :: 		txt1 := 'TWI LCD';
	LDI        R30, #lo_addr(_txt1+0)
	LDI        R31, hi_addr(_txt1+0)
	LDI        R27, 84
	ST         Z+, R27
	LDI        R27, 87
	ST         Z+, R27
	LDI        R27, 73
	ST         Z+, R27
	LDI        R27, 32
	ST         Z+, R27
	LDI        R27, 76
	ST         Z+, R27
	LDI        R27, 67
	ST         Z+, R27
	LDI        R27, 68
	ST         Z+, R27
	LDI        R27, 0
	ST         Z+, R27
;TWI LCD.mpas,173 :: 		txt2 := '16x2, 20x2, 20x4';
	LDI        R30, #lo_addr(_txt2+0)
	LDI        R31, hi_addr(_txt2+0)
	LDI        R27, 49
	ST         Z+, R27
	LDI        R27, 54
	ST         Z+, R27
	LDI        R27, 120
	ST         Z+, R27
	LDI        R27, 50
	ST         Z+, R27
	LDI        R27, 44
	ST         Z+, R27
	LDI        R27, 32
	ST         Z+, R27
	LDI        R27, 50
	ST         Z+, R27
	LDI        R27, 48
	ST         Z+, R27
	LDI        R27, 120
	ST         Z+, R27
	LDI        R27, 50
	ST         Z+, R27
	LDI        R27, 44
	ST         Z+, R27
	LDI        R27, 32
	ST         Z+, R27
	LDI        R27, 50
	ST         Z+, R27
	LDI        R27, 48
	ST         Z+, R27
	LDI        R27, 120
	ST         Z+, R27
	LDI        R27, 52
	ST         Z+, R27
	LDI        R27, 0
	ST         Z+, R27
;TWI LCD.mpas,174 :: 		txt3 := 'ATMega8';
	LDI        R30, #lo_addr(_txt3+0)
	LDI        R31, hi_addr(_txt3+0)
	LDI        R27, 65
	ST         Z+, R27
	LDI        R27, 84
	ST         Z+, R27
	LDI        R27, 77
	ST         Z+, R27
	LDI        R27, 101
	ST         Z+, R27
	LDI        R27, 103
	ST         Z+, R27
	LDI        R27, 97
	ST         Z+, R27
	LDI        R27, 56
	ST         Z+, R27
	LDI        R27, 0
	ST         Z+, R27
;TWI LCD.mpas,175 :: 		txt4 := '4 MHz';
	LDI        R30, #lo_addr(_txt4+0)
	LDI        R31, hi_addr(_txt4+0)
	LDI        R27, 52
	ST         Z+, R27
	LDI        R27, 32
	ST         Z+, R27
	LDI        R27, 77
	ST         Z+, R27
	LDI        R27, 72
	ST         Z+, R27
	LDI        R27, 122
	ST         Z+, R27
	LDI        R27, 0
	ST         Z+, R27
;TWI LCD.mpas,177 :: 		TWI_Init(100000);
	IN         R27, TWPS0_bit+0
	CBR        R27, BitMask(TWPS0_bit+0)
	OUT        TWPS0_bit+0, R27
	IN         R27, TWPS1_bit+0
	CBR        R27, BitMask(TWPS1_bit+0)
	OUT        TWPS1_bit+0, R27
	LDI        R27, 12
	OUT        TWBR+0, R27
	CALL       _TWI_Init+0
;TWI LCD.mpas,178 :: 		Delay_ms(200);
	LDI        R18, 5
	LDI        R17, 15
	LDI        R16, 242
L__main71:
	DEC        R16
	BRNE       L__main71
	DEC        R17
	BRNE       L__main71
	DEC        R18
	BRNE       L__main71
;TWI LCD.mpas,180 :: 		I2C_LCD_Init();
	CALL       _I2C_LCD_Init+0
;TWI LCD.mpas,181 :: 		I2C_LCD_Cmd(_LCD_CURSOR_OFF);
	LDI        R27, 12
	MOV        R2, R27
	CALL       _I2C_LCD_Cmd+0
;TWI LCD.mpas,182 :: 		I2C_LCD_Cmd(_LCD_CLEAR);
	LDI        R27, 1
	MOV        R2, R27
	CALL       _I2C_LCD_Cmd+0
;TWI LCD.mpas,183 :: 		I2C_Lcd_Out(1,1,txt1);                 { Write text in first row}
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _I2C_LCD_Out+0
;TWI LCD.mpas,184 :: 		I2C_Lcd_Out(2,1,txt2);                 { Write text in second row}
	LDI        R27, #lo_addr(_txt2+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt2+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _I2C_LCD_Out+0
;TWI LCD.mpas,185 :: 		I2C_Lcd_Out(3,1,txt3);                 { Write text in third row}
	LDI        R27, #lo_addr(_txt3+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt3+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 3
	MOV        R2, R27
	CALL       _I2C_LCD_Out+0
;TWI LCD.mpas,186 :: 		I2C_Lcd_Out(4,1,txt4);                 { Write text in fourth row}
	LDI        R27, #lo_addr(_txt4+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt4+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 4
	MOV        R2, R27
	CALL       _I2C_LCD_Out+0
;TWI LCD.mpas,188 :: 		while 1 Do
L__main74:
	JMP        L__main74
;TWI LCD.mpas,192 :: 		end.
L_end_main:
	POP        R5
	POP        R4
	POP        R3
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
