
_I2C_LCD_Cmd:

;I2C LCD.mbas,33 :: 		Dim rs as byte
;I2C LCD.mbas,35 :: 		rs = 0
	CLRF       I2C_LCD_Cmd_rs+0
;I2C LCD.mbas,37 :: 		hi_n = out_char and $F0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_hi_n+0
;I2C LCD.mbas,38 :: 		lo_n = (out_char << 4) and $F0
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_lo_n+0
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Cmd_lo_n+0, 1
;I2C LCD.mbas,40 :: 		I2C1_Start()
	CALL       _I2C1_start+0
;I2C LCD.mbas,41 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,42 :: 		I2C1_Wr(LCD_ADDR)
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,43 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,44 :: 		I2C1_Wr(hi_n or rs or $04 or $08)
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,45 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,46 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Cmd1:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd1
	NOP
;I2C LCD.mbas,47 :: 		I2C1_Wr(hi_n or rs or $00 or $08)
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,48 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,49 :: 		Delay_us(100)
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Cmd2:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd2
;I2C LCD.mbas,50 :: 		I2C1_Wr(lo_n or rs or $04 or $08)
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,51 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,52 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Cmd3:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd3
	NOP
;I2C LCD.mbas,53 :: 		I2C1_Wr(lo_n or rs or $00 or $08)
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,54 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,55 :: 		I2C1_stop()
	CALL       _I2C1_Stop+0
;I2C LCD.mbas,57 :: 		if(out_char = $01) then
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Cmd5
;I2C LCD.mbas,58 :: 		Delay_ms(2)
	MOVLW      3
	MOVWF      R12
	MOVLW      151
	MOVWF      R13
L__I2C_LCD_Cmd7:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd7
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Cmd7
	NOP
	NOP
L__I2C_LCD_Cmd5:
;I2C LCD.mbas,60 :: 		end sub
L_end_I2C_LCD_Cmd:
	RETURN
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:

;I2C LCD.mbas,65 :: 		Dim rs as byte
;I2C LCD.mbas,67 :: 		rs = 1
	MOVLW      1
	MOVWF      I2C_LCD_Chr_rs+0
;I2C LCD.mbas,71 :: 		case 1
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Chr12
;I2C LCD.mbas,72 :: 		I2C_LCD_Cmd($80 + (column - 1))
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      128
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr12:
;I2C LCD.mbas,73 :: 		case 2
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Chr15
;I2C LCD.mbas,74 :: 		I2C_LCD_Cmd($C0 + (column - 1))
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      192
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr15:
;I2C LCD.mbas,75 :: 		case 3
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Chr18
;I2C LCD.mbas,76 :: 		I2C_LCD_Cmd($94 + (column - 1))
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      148
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr18:
;I2C LCD.mbas,77 :: 		case 4
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Chr21
;I2C LCD.mbas,78 :: 		I2C_LCD_Cmd($D4 + (column - 1))
	DECF       FARG_I2C_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      212
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr21:
L__I2C_LCD_Chr9:
;I2C LCD.mbas,81 :: 		hi_n = out_char and $F0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_hi_n+0
;I2C LCD.mbas,82 :: 		lo_n = (out_char << 4) and $F0
	MOVF       FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_lo_n+0
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_lo_n+0, 1
;I2C LCD.mbas,84 :: 		I2C1_Start()
	CALL       _I2C1_start+0
;I2C LCD.mbas,85 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,86 :: 		I2C1_Wr(LCD_ADDR)
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,87 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,88 :: 		I2C1_Wr(hi_n or rs or $04 or $08)
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,89 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,90 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr22:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr22
	NOP
;I2C LCD.mbas,91 :: 		I2C1_Wr(hi_n or rs or $00 or $08)
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,92 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,93 :: 		Delay_us(100)
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Chr23:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr23
;I2C LCD.mbas,94 :: 		I2C1_Wr(lo_n or rs or $04 or $08)
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,95 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,96 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr24:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr24
	NOP
;I2C LCD.mbas,97 :: 		I2C1_Wr(lo_n or rs or $00 or $08)
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,98 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,99 :: 		I2C1_stop()
	CALL       _I2C1_Stop+0
;I2C LCD.mbas,100 :: 		end sub
L_end_I2C_LCD_Chr:
	RETURN
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:

;I2C LCD.mbas,105 :: 		Dim rs as byte
;I2C LCD.mbas,107 :: 		rs = $01
	MOVLW      1
	MOVWF      I2C_LCD_Chr_Cp_rs+0
;I2C LCD.mbas,109 :: 		hi_n = out_char and $F0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_hi_n+0
;I2C LCD.mbas,110 :: 		lo_n = (out_char << 4) and $F0
	MOVF       FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_lo_n+0
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_Cp_lo_n+0, 1
;I2C LCD.mbas,112 :: 		I2C1_Start()
	CALL       _I2C1_start+0
;I2C LCD.mbas,113 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,114 :: 		I2C1_Wr(LCD_ADDR)
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,115 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,116 :: 		I2C1_Wr(hi_n or rs or $04 or $08)
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,117 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,118 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr_Cp26:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp26
	NOP
;I2C LCD.mbas,119 :: 		I2C1_Wr(hi_n or rs or $00 or $08)
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,120 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,121 :: 		Delay_us(100)
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Chr_Cp27:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp27
;I2C LCD.mbas,122 :: 		I2C1_Wr(lo_n or rs or $04 or $08)
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,123 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,124 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr_Cp28:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp28
	NOP
;I2C LCD.mbas,125 :: 		I2C1_Wr(lo_n or rs or $00 or $08)
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,126 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,127 :: 		I2C1_stop()
	CALL       _I2C1_Stop+0
;I2C LCD.mbas,128 :: 		end sub
L_end_I2C_LCD_Chr_Cp:
	RETURN
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:

;I2C LCD.mbas,133 :: 		Dim rs as byte
;I2C LCD.mbas,135 :: 		I2C1_Start()
	CALL       _I2C1_start+0
;I2C LCD.mbas,136 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,137 :: 		I2C1_Wr(LCD_ADDR)
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,138 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,140 :: 		Delay_ms(30)
	MOVLW      39
	MOVWF      R12
	MOVLW      245
	MOVWF      R13
L__I2C_LCD_Init30:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init30
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init30
;I2C LCD.mbas,142 :: 		I2C1_Wr($30 or rs or $04 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,143 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,144 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init31:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init31
	NOP
;I2C LCD.mbas,145 :: 		I2C1_Wr($30 or rs or $00 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,146 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,148 :: 		Delay_ms(10)
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init32:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init32
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init32
	NOP
	NOP
;I2C LCD.mbas,150 :: 		I2C1_Wr($30 or rs or $04 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,151 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,152 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init33:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init33
	NOP
;I2C LCD.mbas,153 :: 		I2C1_Wr($30 or rs or $00 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,154 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,156 :: 		Delay_ms(10)
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init34:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init34
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init34
	NOP
	NOP
;I2C LCD.mbas,158 :: 		I2C1_Wr($30 or rs or $04 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,159 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,160 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init35:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init35
	NOP
;I2C LCD.mbas,161 :: 		I2C1_Wr($30 or rs or $00 or $08)
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,162 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,164 :: 		Delay_ms(10)
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init36:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init36
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init36
	NOP
	NOP
;I2C LCD.mbas,166 :: 		I2C1_Wr($20 or rs or $04 or $08)
	MOVLW      32
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,167 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,168 :: 		Delay_us(50)
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init37:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init37
	NOP
;I2C LCD.mbas,169 :: 		I2C1_Wr($20 or rs or $00 or $08)
	MOVLW      32
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
;I2C LCD.mbas,170 :: 		I2C1_Is_Idle()
	CALL       _I2C1_Is_Idle+0
;I2C LCD.mbas,171 :: 		I2C1_Stop()
	CALL       _I2C1_Stop+0
;I2C LCD.mbas,173 :: 		Delay_ms(10)
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init38:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init38
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init38
	NOP
	NOP
;I2C LCD.mbas,175 :: 		I2C_LCD_Cmd($28)
	MOVLW      40
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
;I2C LCD.mbas,176 :: 		I2C_LCD_Cmd($06)
	MOVLW      6
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
;I2C LCD.mbas,177 :: 		end sub
L_end_I2C_LCD_Init:
	RETURN
; end of _I2C_LCD_Init

_I2C_LCD_Out:

;I2C LCD.mbas,180 :: 		Dim i as byte
;I2C LCD.mbas,182 :: 		for i = 0 to Strlen(text) - 1
	CLRF       I2C_LCD_Out_i+0
L__I2C_LCD_Out40:
	MOVF       FARG_I2C_LCD_Out_text+0, 0
	MOVWF      FARG_strlen_s+0
	MOVF       FARG_I2C_LCD_Out_text+1, 0
	MOVWF      FARG_strlen_s+1
	CALL       _strlen+0
	MOVLW      1
	SUBWF      R0, 0
	MOVWF      FLOC__I2C_LCD_Out+0
	MOVLW      0
	SUBWFB     R1, 0
	MOVWF      FLOC__I2C_LCD_Out+1
	MOVLW      0
	SUBWF      FLOC__I2C_LCD_Out+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Out62
	MOVF       I2C_LCD_Out_i+0, 0
	SUBWF      FLOC__I2C_LCD_Out+0, 0
L__I2C_LCD_Out62:
	BTFSS      STATUS+0, 0
	GOTO       L__I2C_LCD_Out44
;I2C LCD.mbas,183 :: 		I2C_LCD_Chr(row, column, text[i])
	MOVF       FARG_I2C_LCD_Out_row+0, 0
	MOVWF      FARG_I2C_LCD_Chr_row+0
	MOVF       FARG_I2C_LCD_Out_column+0, 0
	MOVWF      FARG_I2C_LCD_Chr_column+0
	MOVF       I2C_LCD_Out_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_text+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_I2C_LCD_Chr_out_char+0
	CALL       _I2C_LCD_Chr+0
;I2C LCD.mbas,184 :: 		column = column + 1
	INCF       FARG_I2C_LCD_Out_column+0, 1
;I2C LCD.mbas,185 :: 		next i
	MOVLW      0
	XORWF      FLOC__I2C_LCD_Out+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Out63
	MOVF       FLOC__I2C_LCD_Out+0, 0
	XORWF      I2C_LCD_Out_i+0, 0
L__I2C_LCD_Out63:
	BTFSC      STATUS+0, 2
	GOTO       L__I2C_LCD_Out44
	INCF       I2C_LCD_Out_i+0, 1
	GOTO       L__I2C_LCD_Out40
L__I2C_LCD_Out44:
;I2C LCD.mbas,186 :: 		end sub
L_end_I2C_LCD_Out:
	RETURN
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:

;I2C LCD.mbas,189 :: 		Dim i as byte
;I2C LCD.mbas,191 :: 		for i = 0 to Strlen(text) - 1
	CLRF       I2C_LCD_Out_Cp_i+0
L__I2C_LCD_Out_Cp46:
	MOVF       FARG_I2C_LCD_Out_Cp_text+0, 0
	MOVWF      FARG_strlen_s+0
	MOVF       FARG_I2C_LCD_Out_Cp_text+1, 0
	MOVWF      FARG_strlen_s+1
	CALL       _strlen+0
	MOVLW      1
	SUBWF      R0, 0
	MOVWF      FLOC__I2C_LCD_Out_Cp+0
	MOVLW      0
	SUBWFB     R1, 0
	MOVWF      FLOC__I2C_LCD_Out_Cp+1
	MOVLW      0
	SUBWF      FLOC__I2C_LCD_Out_Cp+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Out_Cp65
	MOVF       I2C_LCD_Out_Cp_i+0, 0
	SUBWF      FLOC__I2C_LCD_Out_Cp+0, 0
L__I2C_LCD_Out_Cp65:
	BTFSS      STATUS+0, 0
	GOTO       L__I2C_LCD_Out_Cp50
;I2C LCD.mbas,192 :: 		I2C_LCD_Chr_Cp(text[i])
	MOVF       I2C_LCD_Out_Cp_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_Cp_text+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_Cp_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_I2C_LCD_Chr_Cp_out_char+0
	CALL       _I2C_LCD_Chr_Cp+0
;I2C LCD.mbas,193 :: 		next i
	MOVLW      0
	XORWF      FLOC__I2C_LCD_Out_Cp+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__I2C_LCD_Out_Cp66
	MOVF       FLOC__I2C_LCD_Out_Cp+0, 0
	XORWF      I2C_LCD_Out_Cp_i+0, 0
L__I2C_LCD_Out_Cp66:
	BTFSC      STATUS+0, 2
	GOTO       L__I2C_LCD_Out_Cp50
	INCF       I2C_LCD_Out_Cp_i+0, 1
	GOTO       L__I2C_LCD_Out_Cp46
L__I2C_LCD_Out_Cp50:
;I2C LCD.mbas,194 :: 		end sub
L_end_I2C_LCD_Out_Cp:
	RETURN
; end of _I2C_LCD_Out_Cp

_main:

;I2C LCD.mbas,196 :: 		main:
;I2C LCD.mbas,198 :: 		ANSELA = $00
	CLRF       ANSELA+0
;I2C LCD.mbas,199 :: 		TRISA = $00
	CLRF       TRISA+0
;I2C LCD.mbas,200 :: 		PORTA = $00
	CLRF       PORTA+0
;I2C LCD.mbas,201 :: 		LATA = $00
	CLRF       LATA+0
;I2C LCD.mbas,203 :: 		txt1 = "I2C LCD"
	MOVLW      73
	MOVWF      _txt1+0
	MOVLW      50
	MOVWF      _txt1+1
	MOVLW      67
	MOVWF      _txt1+2
	MOVLW      32
	MOVWF      _txt1+3
	MOVLW      76
	MOVWF      _txt1+4
	MOVLW      67
	MOVWF      _txt1+5
	MOVLW      68
	MOVWF      _txt1+6
	CLRF       _txt1+7
;I2C LCD.mbas,204 :: 		txt2 = "16x2, 20x2, 20x4"
	MOVLW      49
	MOVWF      _txt2+0
	MOVLW      54
	MOVWF      _txt2+1
	MOVLW      120
	MOVWF      _txt2+2
	MOVLW      50
	MOVWF      _txt2+3
	MOVLW      44
	MOVWF      _txt2+4
	MOVLW      32
	MOVWF      _txt2+5
	MOVLW      50
	MOVWF      _txt2+6
	MOVLW      48
	MOVWF      _txt2+7
	MOVLW      120
	MOVWF      _txt2+8
	MOVLW      50
	MOVWF      _txt2+9
	MOVLW      44
	MOVWF      _txt2+10
	MOVLW      32
	MOVWF      _txt2+11
	MOVLW      50
	MOVWF      _txt2+12
	MOVLW      48
	MOVWF      _txt2+13
	MOVLW      120
	MOVWF      _txt2+14
	MOVLW      52
	MOVWF      _txt2+15
	CLRF       _txt2+16
;I2C LCD.mbas,205 :: 		txt3 = "PIC12F1840"
	MOVLW      80
	MOVWF      _txt3+0
	MOVLW      73
	MOVWF      _txt3+1
	MOVLW      67
	MOVWF      _txt3+2
	MOVLW      49
	MOVWF      _txt3+3
	MOVLW      50
	MOVWF      _txt3+4
	MOVLW      70
	MOVWF      _txt3+5
	MOVLW      49
	MOVWF      _txt3+6
	MOVLW      56
	MOVWF      _txt3+7
	MOVLW      52
	MOVWF      _txt3+8
	MOVLW      48
	MOVWF      _txt3+9
	CLRF       _txt3+10
;I2C LCD.mbas,206 :: 		txt4 = "4 MHz"
	MOVLW      52
	MOVWF      _txt4+0
	MOVLW      32
	MOVWF      _txt4+1
	MOVLW      77
	MOVWF      _txt4+2
	MOVLW      72
	MOVWF      _txt4+3
	MOVLW      122
	MOVWF      _txt4+4
	CLRF       _txt4+5
;I2C LCD.mbas,208 :: 		I2C1_Init(100000)
	MOVLW      10
	MOVWF      SSP1ADD+0
	CALL       _I2C1_Init+0
;I2C LCD.mbas,210 :: 		I2C_LCD_Init()
	CALL       _I2C_LCD_Init+0
;I2C LCD.mbas,211 :: 		I2C_LCD_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
;I2C LCD.mbas,212 :: 		I2C_LCD_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
;I2C LCD.mbas,213 :: 		I2C_Lcd_Out(1,1,txt1)                 ' Write text in first row
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt1+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
;I2C LCD.mbas,214 :: 		I2C_Lcd_Out(2,1,txt2)                 ' Write text in second row
	MOVLW      2
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt2+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt2+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
;I2C LCD.mbas,215 :: 		I2C_Lcd_Out(3,1,txt3)                 ' Write text in third row
	MOVLW      3
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt3+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt3+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
;I2C LCD.mbas,216 :: 		I2C_Lcd_Out(4,1,txt4)                 ' Write text in fourth row
	MOVLW      4
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt4+0
	MOVWF      FARG_I2C_LCD_Out_text+0
	MOVLW      hi_addr(_txt4+0)
	MOVWF      FARG_I2C_LCD_Out_text+1
	CALL       _I2C_LCD_Out+0
;I2C LCD.mbas,218 :: 		while(TRUE)
L__main53:
	GOTO       L__main53
;I2C LCD.mbas,220 :: 		Wend
L_end_main:
	GOTO       $+0
; end of _main
