
_I2C_LCD_Cmd:

	CLRF       I2C_LCD_Cmd_rs+0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_hi_n+0
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	MOVWF      I2C_LCD_Cmd_lo_n+0
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	LSLF       I2C_LCD_Cmd_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Cmd_lo_n+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Cmd1:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd1
	NOP
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Cmd2:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd2
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Cmd3:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd3
	NOP
	MOVF       I2C_LCD_Cmd_rs+0, 0
	IORWF       I2C_LCD_Cmd_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
	MOVF       FARG_I2C_LCD_Cmd_out_char+0, 0
	XORLW      1
	BTFSS      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Cmd5
	MOVLW      3
	MOVWF      R12
	MOVLW      151
	MOVWF      R13
L__I2C_LCD_Cmd7:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Cmd7
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Cmd7
	NOP
	NOP
L__I2C_LCD_Cmd5:
L_end_I2C_LCD_Cmd:
	RETURN
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:

	MOVLW      1
	MOVWF      I2C_LCD_Chr_rs+0
	DECF       FARG_I2C_LCD_Chr_column+0, 1
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      1
	BTFSS      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Chr12
	MOVF       FARG_I2C_LCD_Chr_column+0, 0
	ADDLW      128
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr12:
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      2
	BTFSS      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Chr15
	MOVF       FARG_I2C_LCD_Chr_column+0, 0
	ADDLW      192
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr15:
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      3
	BTFSS      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Chr18
	MOVF       FARG_I2C_LCD_Chr_column+0, 0
	ADDLW      148
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr18:
	MOVF       FARG_I2C_LCD_Chr_row+0, 0
	XORLW      4
	BTFSS      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Chr21
	MOVF       FARG_I2C_LCD_Chr_column+0, 0
	ADDLW      212
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	GOTO       L__I2C_LCD_Chr9
L__I2C_LCD_Chr21:
L__I2C_LCD_Chr9:
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_hi_n+0
	MOVF       FARG_I2C_LCD_Chr_out_char+0, 0
	MOVWF      I2C_LCD_Chr_lo_n+0
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	LSLF       I2C_LCD_Chr_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_lo_n+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr22:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr22
	NOP
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Chr23:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr23
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr24:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr24
	NOP
	MOVF       I2C_LCD_Chr_rs+0, 0
	IORWF       I2C_LCD_Chr_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
L_end_I2C_LCD_Chr:
	RETURN
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:

	MOVLW      1
	MOVWF      I2C_LCD_Chr_Cp_rs+0
	MOVLW      240
	ANDWF      FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_hi_n+0
	MOVF       FARG_I2C_LCD_Chr_Cp_out_char+0, 0
	MOVWF      I2C_LCD_Chr_Cp_lo_n+0
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	LSLF       I2C_LCD_Chr_Cp_lo_n+0, 1
	MOVLW      240
	ANDWF      I2C_LCD_Chr_Cp_lo_n+0, 1
	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr_Cp26:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp26
	NOP
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_hi_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      33
	MOVWF      R13
L__I2C_LCD_Chr_Cp27:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp27
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Chr_Cp28:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Chr_Cp28
	NOP
	MOVF       I2C_LCD_Chr_Cp_rs+0, 0
	IORWF       I2C_LCD_Chr_Cp_lo_n+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
L_end_I2C_LCD_Chr_Cp:
	RETURN
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:

	CALL       _I2C1_Start+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      78
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      39
	MOVWF      R12
	MOVLW      245
	MOVWF      R13
L__I2C_LCD_Init30:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init30
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init30
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init31:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init31
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init32:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init32
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init32
	NOP
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init33:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init33
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init34:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init34
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init34
	NOP
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init35:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init35
	NOP
	MOVLW      48
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init36:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init36
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init36
	NOP
	NOP
	MOVLW      32
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 2
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	MOVLW      16
	MOVWF      R13
L__I2C_LCD_Init37:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init37
	NOP
	MOVLW      32
	IORWF       I2C_LCD_Init_rs+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	BSF        FARG_I2C1_Wr_data_+0, 3
	CALL       _I2C1_Wr+0
	CALL       _I2C1_Is_Idle+0
	CALL       _I2C1_Stop+0
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L__I2C_LCD_Init38:
	DECFSZ     R13, 1
	GOTO       L__I2C_LCD_Init38
	DECFSZ     R12, 1
	GOTO       L__I2C_LCD_Init38
	NOP
	NOP
	MOVLW      40
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      6
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
L_end_I2C_LCD_Init:
	RETURN
; end of _I2C_LCD_Init

_I2C_LCD_Out:

	CLRF       I2C_LCD_Out_i+0
L__I2C_LCD_Out41:
	MOVF       I2C_LCD_Out_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_txt+0, 0
	MOVWF      FSR0PTR
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_txt+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Out42
	MOVF       FARG_I2C_LCD_Out_row+0, 0
	MOVWF      FARG_I2C_LCD_Chr_row+0
	MOVF       FARG_I2C_LCD_Out_column+0, 0
	MOVWF      FARG_I2C_LCD_Chr_column+0
	MOVF       I2C_LCD_Out_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_txt+0, 0
	MOVWF      FSR0PTR
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_txt+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_I2C_LCD_Chr_out_char+0
	CALL       _I2C_LCD_Chr+0
	INCF       I2C_LCD_Out_i+0, 1
	INCF       FARG_I2C_LCD_Out_column+0, 1
	GOTO       L__I2C_LCD_Out41
L__I2C_LCD_Out42:
L_end_I2C_LCD_Out:
	RETURN
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:

	CLRF       I2C_LCD_Out_Cp_i+0
L__I2C_LCD_Out_Cp47:
	MOVF       I2C_LCD_Out_Cp_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_Cp_txt+0, 0
	MOVWF      FSR0PTR
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_Cp_txt+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L__I2C_LCD_Out_Cp48
	MOVF       I2C_LCD_Out_Cp_i+0, 0
	ADDWF      FARG_I2C_LCD_Out_Cp_txt+0, 0
	MOVWF      FSR0PTR
	MOVLW      0
	ADDWFC     FARG_I2C_LCD_Out_Cp_txt+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_I2C_LCD_Chr_Cp_out_char+0
	CALL       _I2C_LCD_Chr_Cp+0
	INCF       I2C_LCD_Out_Cp_i+0, 1
	GOTO       L__I2C_LCD_Out_Cp47
L__I2C_LCD_Out_Cp48:
L_end_I2C_LCD_Out_Cp:
	RETURN
; end of _I2C_LCD_Out_Cp

_main:

	CLRF       ANSA4_bit
	CLRF       TRISA0_bit
	CLRF       RA0_bit
	CLRF       LATA5_bit
	MOVLW      73
	MOVWF      _txt1+0
	MOVLW      50
	MOVWF      _txt1+1
	MOVLW      67
	MOVWF      _txt1+2
	MOVLW      32
	MOVWF      _txt1+3
	MOVLW      76
	MOVWF      _txt1+4
	MOVLW      67
	MOVWF      _txt1+5
	MOVLW      68
	MOVWF      _txt1+6
	CLRF       _txt1+7
	MOVLW      49
	MOVWF      _txt2+0
	MOVLW      54
	MOVWF      _txt2+1
	MOVLW      120
	MOVWF      _txt2+2
	MOVLW      50
	MOVWF      _txt2+3
	MOVLW      44
	MOVWF      _txt2+4
	MOVLW      32
	MOVWF      _txt2+5
	MOVLW      50
	MOVWF      _txt2+6
	MOVLW      48
	MOVWF      _txt2+7
	MOVLW      120
	MOVWF      _txt2+8
	MOVLW      50
	MOVWF      _txt2+9
	MOVLW      44
	MOVWF      _txt2+10
	MOVLW      32
	MOVWF      _txt2+11
	MOVLW      50
	MOVWF      _txt2+12
	MOVLW      48
	MOVWF      _txt2+13
	MOVLW      120
	MOVWF      _txt2+14
	MOVLW      52
	MOVWF      _txt2+15
	CLRF       _txt2+16
	MOVLW      80
	MOVWF      _txt3+0
	MOVLW      73
	MOVWF      _txt3+1
	MOVLW      67
	MOVWF      _txt3+2
	MOVLW      49
	MOVWF      _txt3+3
	MOVLW      50
	MOVWF      _txt3+4
	MOVLW      70
	MOVWF      _txt3+5
	MOVLW      49
	MOVWF      _txt3+6
	MOVLW      56
	MOVWF      _txt3+7
	MOVLW      52
	MOVWF      _txt3+8
	MOVLW      48
	MOVWF      _txt3+9
	CLRF       _txt3+10
	MOVLW      52
	MOVWF      _txt4+0
	MOVLW      32
	MOVWF      _txt4+1
	MOVLW      77
	MOVWF      _txt4+2
	MOVLW      72
	MOVWF      _txt4+3
	MOVLW      122
	MOVWF      _txt4+4
	CLRF       _txt4+5
	MOVLW      10
	MOVWF      SSPADD
	CALL       _I2C1_Init+0
	CALL       _I2C_LCD_Init+0
	MOVLW      12
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Cmd_out_char+0
	CALL       _I2C_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_I2C_LCD_Out_txt+0
	MOVLW      hi_addr(_txt1+0)
	MOVWF      FARG_I2C_LCD_Out_txt+1
	CALL       _I2C_LCD_Out+0
	MOVLW      2
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt2+0
	MOVWF      FARG_I2C_LCD_Out_txt+0
	MOVLW      hi_addr(_txt2+0)
	MOVWF      FARG_I2C_LCD_Out_txt+1
	CALL       _I2C_LCD_Out+0
	MOVLW      3
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt3+0
	MOVWF      FARG_I2C_LCD_Out_txt+0
	MOVLW      hi_addr(_txt3+0)
	MOVWF      FARG_I2C_LCD_Out_txt+1
	CALL       _I2C_LCD_Out+0
	MOVLW      4
	MOVWF      FARG_I2C_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_I2C_LCD_Out_column+0
	MOVLW      _txt4+0
	MOVWF      FARG_I2C_LCD_Out_txt+0
	MOVLW      hi_addr(_txt4+0)
	MOVWF      FARG_I2C_LCD_Out_txt+1
	CALL       _I2C_LCD_Out+0
L__main53:
	GOTO       L__main53
L_end_main:
	GOTO       $+0
; end of _main
